################################################################################
#
# loadlibs.tcl -- load the required Tcl/Tk extensions into wish
#
################################################################################

proc load_shared_lib { name } {
  global env

  if { [catch {load $env(TGDB_BINPATH)/$name} reason] } {
    puts "Warning: couldn't load shared library \"$name\": $reason."
  }
}

load_shared_lib libtclx8.0.2.so
load_shared_lib libBLT8.0.so
load_shared_lib libtksteal4.12.so
catch {source $env(TKSTEAL_LIBRARY)/tkSteal.tcl}
if { ![info exists env(TGDB_REMOTE)] } {
  load_shared_lib libexpect5.28.so
}

rename load_shared_lib {}

### EOF ########################################################################
