/*
** serial.h -- serial port support for SAB C16x
**
** Copyright (c) 1991-94 Hightec EDV-Systeme GmbH  D-66386 St.Ingbert
**
**      @(#) serial.h  3.0  01/28/94  
*/


enum SERPORTS { SER_0, SER_1} ;

#define MHZ
#define BAUD

/* Interruptroutinen zum Ausgeben */

void SerOutchar_Hnd(void);
void SerInchar_Hnd(void);

/* Schnittstellen Funktionen */

void serInit(enum SERPORTS port, long baudrate, long hertz);

int serOutchar(char);
char serInchar(void);
int serOutstring(char *);


