/*   RCS $Id: setjmp.h,v 1.4 1997/10/06 12:29:51 c166 Rel c166 $							*/
/*
**   setjmp.h  -- stuff to handle setjmp and longjmp on the SAB C16x
**   		    (for ANSI's sake)
**   
**   created  FF  10.01.95
**
*/

/* Define the machine-dependent type `jmp_buf'.  SAB C16x version.  */

#ifdef __cplusplus
extern "C" {
#endif

#define BUFSIZ	24    /* We need to save a max of 14 registers depending
				  on the several C16x models and calling conventions
				  and if not -O compiled the space for the locals 
				  of setjmp (for now none) 
				*/

typedef struct {
	int *__usp;	         /* actual usr stack pointer (r0) */	
	int __psw; 	
#if defined __CALL_SS__
	int __ssp;             /* sytem stack pointer */ 
	int far *__retaddr;    /* return address on the system stack, 
				     must be 32 bit, containing CSP and IP, in
				     specmed and large model, else far is ignored */
#endif
	int __act_len;     /* indicate the number of bytes valid in the regs */
	int __regs[BUFSIZ]; 
} jmp_buf[1];


extern  stackparm int setjmp  (jmp_buf env);
extern  void longjmp (jmp_buf env, int val);

#ifdef __cplusplus
}
#endif

