@ ##############################################################################
@ # rlong167.s - jump handler for intersegment & indirect calls on SAB C167    #
@ #              (w/o using the system stack)                                  #
@ # (c) 1992 HighTec EDV-Systeme, D-6670 St. Ingbert                           #
@ # 02/21/92 (ms)                                                              #
@ # 04/18/93 (ff) for Register parms                                           #
@ # 11/11/93 (DM) XDummyRetSeg fixed                                           #
@ ##############################################################################

	.text

	.globl X167Call, X167Ret

X167Call:			@ call function
	shl   r8,#2		@ seg:func *= 8
	add   r8,#sof:table	@ + jump table offset
	jmpi  cc_uc,[r8]	@ activate call handler
table:	jmps  seg:X167Ret0,sof:X167Ret0  @ activate function in segment 0
	jmps  seg:X167Ret1,sof:X167Ret1  @ activate function in segment 1
	jmps  seg:X167Ret2,sof:X167Ret2  @ activate function in segment 2
	jmps  seg:X167Ret3,sof:X167Ret3  @ activate function in segment 3
	jmps  seg:X167Ret4,sof:X167Ret4  @ activate function in segment 4
	jmps  seg:X167Ret5,sof:X167Ret5  @ activate function in segment 5
	jmps  seg:X167Ret6,sof:X167Ret6  @ activate function in segment 6
	jmps  seg:X167Ret7,sof:X167Ret7  @ activate function in segment 7
	jmps  seg:X167Ret8,sof:X167Ret8  @ activate function in segment 8
	jmps  seg:X167Ret9,sof:X167Ret9  @ activate function in segment 9

	jmps  seg:X167Ret10,sof:X167Ret10  @ activate function in segment 10
	jmps  seg:X167Ret11,sof:X167Ret11  @ activate function in segment 11
	jmps  seg:X167Ret12,sof:X167Ret12  @ activate function in segment 12
	jmps  seg:X167Ret13,sof:X167Ret13  @ activate function in segment 13
	jmps  seg:X167Ret14,sof:X167Ret14  @ activate function in segment 14
	jmps  seg:X167Ret15,sof:X167Ret15  @ activate function in segment 15
	jmps  seg:X167Ret16,sof:X167Ret16  @ activate function in segment 16
	jmps  seg:X167Ret17,sof:X167Ret17  @ activate function in segment 17
	jmps  seg:X167Ret18,sof:X167Ret18  @ activate function in segment 18
	jmps  seg:X167Ret19,sof:X167Ret19  @ activate function in segment 19

	jmps  seg:X167Ret20,sof:X167Ret20  @ activate function in segment 20
	jmps  seg:X167Ret21,sof:X167Ret21  @ activate function in segment 21
	jmps  seg:X167Ret22,sof:X167Ret22  @ activate function in segment 22
	jmps  seg:X167Ret23,sof:X167Ret23  @ activate function in segment 23
	jmps  seg:X167Ret24,sof:X167Ret24  @ activate function in segment 24
	jmps  seg:X167Ret25,sof:X167Ret25  @ activate function in segment 25
	jmps  seg:X167Ret26,sof:X167Ret26  @ activate function in segment 26
	jmps  seg:X167Ret27,sof:X167Ret27  @ activate function in segment 27
	jmps  seg:X167Ret28,sof:X167Ret28  @ activate function in segment 28
	jmps  seg:X167Ret29,sof:X167Ret29  @ activate function in segment 29

	jmps  seg:X167Ret30,sof:X167Ret30  @ activate function in segment 30
	jmps  seg:X167Ret31,sof:X167Ret31  @ activate function in segment 31
	jmps  seg:X167Ret32,sof:X167Ret32  @ activate function in segment 32
	jmps  seg:X167Ret33,sof:X167Ret33  @ activate function in segment 33
	jmps  seg:X167Ret34,sof:X167Ret34  @ activate function in segment 34
	jmps  seg:X167Ret35,sof:X167Ret35  @ activate function in segment 35
	jmps  seg:X167Ret36,sof:X167Ret36  @ activate function in segment 36
	jmps  seg:X167Ret37,sof:X167Ret37  @ activate function in segment 37
	jmps  seg:X167Ret38,sof:X167Ret38  @ activate function in segment 38
	jmps  seg:X167Ret39,sof:X167Ret39  @ activate function in segment 39

	jmps  seg:X167Ret40,sof:X167Ret40  @ activate function in segment 40
	jmps  seg:X167Ret41,sof:X167Ret41  @ activate function in segment 41
	jmps  seg:X167Ret42,sof:X167Ret42  @ activate function in segment 42
	jmps  seg:X167Ret43,sof:X167Ret43  @ activate function in segment 43
	jmps  seg:X167Ret44,sof:X167Ret44  @ activate function in segment 44
	jmps  seg:X167Ret45,sof:X167Ret45  @ activate function in segment 45
	jmps  seg:X167Ret46,sof:X167Ret46  @ activate function in segment 46
	jmps  seg:X167Ret47,sof:X167Ret47  @ activate function in segment 47
	jmps  seg:X167Ret48,sof:X167Ret48  @ activate function in segment 48
	jmps  seg:X167Ret49,sof:X167Ret49  @ activate function in segment 49

	jmps  seg:X167Ret50,sof:X167Ret50  @ activate function in segment 50
	jmps  seg:X167Ret51,sof:X167Ret51  @ activate function in segment 51
	jmps  seg:X167Ret52,sof:X167Ret52  @ activate function in segment 52
	jmps  seg:X167Ret53,sof:X167Ret53  @ activate function in segment 53
	jmps  seg:X167Ret54,sof:X167Ret54  @ activate function in segment 54
	jmps  seg:X167Ret55,sof:X167Ret55  @ activate function in segment 55
	jmps  seg:X167Ret56,sof:X167Ret56  @ activate function in segment 56
	jmps  seg:X167Ret57,sof:X167Ret57  @ activate function in segment 57
	jmps  seg:X167Ret58,sof:X167Ret58  @ activate function in segment 58
	jmps  seg:X167Ret59,sof:X167Ret59  @ activate function in segment 59

	jmps  seg:X167Ret60,sof:X167Ret60  @ activate function in segment 60
	jmps  seg:X167Ret61,sof:X167Ret61  @ activate function in segment 61
	jmps  seg:X167Ret62,sof:X167Ret62  @ activate function in segment 62
	jmps  seg:X167Ret63,sof:X167Ret63  @ activate function in segment 63
	jmps  seg:X167Ret64,sof:X167Ret64  @ activate function in segment 64
	jmps  seg:X167Ret65,sof:X167Ret65  @ activate function in segment 65
	jmps  seg:X167Ret66,sof:X167Ret66  @ activate function in segment 66
	jmps  seg:X167Ret67,sof:X167Ret67  @ activate function in segment 67
	jmps  seg:X167Ret68,sof:X167Ret68  @ activate function in segment 68
	jmps  seg:X167Ret69,sof:X167Ret69  @ activate function in segment 69

	jmps  seg:X167Ret70,sof:X167Ret70  @ activate function in segment 70
	jmps  seg:X167Ret71,sof:X167Ret71  @ activate function in segment 71
	jmps  seg:X167Ret72,sof:X167Ret72  @ activate function in segment 72
	jmps  seg:X167Ret73,sof:X167Ret73  @ activate function in segment 73
	jmps  seg:X167Ret74,sof:X167Ret74  @ activate function in segment 74
	jmps  seg:X167Ret75,sof:X167Ret75  @ activate function in segment 75
	jmps  seg:X167Ret76,sof:X167Ret76  @ activate function in segment 76
	jmps  seg:X167Ret77,sof:X167Ret77  @ activate function in segment 77
	jmps  seg:X167Ret78,sof:X167Ret78  @ activate function in segment 78
	jmps  seg:X167Ret79,sof:X167Ret79  @ activate function in segment 79

	jmps  seg:X167Ret80,sof:X167Ret80  @ activate function in segment 80
	jmps  seg:X167Ret81,sof:X167Ret81  @ activate function in segment 81
	jmps  seg:X167Ret82,sof:X167Ret82  @ activate function in segment 82
	jmps  seg:X167Ret83,sof:X167Ret83  @ activate function in segment 83
	jmps  seg:X167Ret84,sof:X167Ret84  @ activate function in segment 84
	jmps  seg:X167Ret85,sof:X167Ret85  @ activate function in segment 85
	jmps  seg:X167Ret86,sof:X167Ret86  @ activate function in segment 86
	jmps  seg:X167Ret87,sof:X167Ret87  @ activate function in segment 87
	jmps  seg:X167Ret88,sof:X167Ret88  @ activate function in segment 88
	jmps  seg:X167Ret89,sof:X167Ret89  @ activate function in segment 89

	jmps  seg:X167Ret90,sof:X167Ret90  @ activate function in segment 90
	jmps  seg:X167Ret91,sof:X167Ret91  @ activate function in segment 91
	jmps  seg:X167Ret92,sof:X167Ret92  @ activate function in segment 92
	jmps  seg:X167Ret93,sof:X167Ret93  @ activate function in segment 93
	jmps  seg:X167Ret94,sof:X167Ret94  @ activate function in segment 94
	jmps  seg:X167Ret95,sof:X167Ret95  @ activate function in segment 95
	jmps  seg:X167Ret96,sof:X167Ret96  @ activate function in segment 96
	jmps  seg:X167Ret97,sof:X167Ret97  @ activate function in segment 97
	jmps  seg:X167Ret98,sof:X167Ret98  @ activate function in segment 98
	jmps  seg:X167Ret99,sof:X167Ret99  @ activate function in segment 99

	jmps  seg:X167Ret100,sof:X167Ret100 @ activate function in segment 100
	jmps  seg:X167Ret101,sof:X167Ret101 @ activate function in segment 101
	jmps  seg:X167Ret102,sof:X167Ret102 @ activate function in segment 102
	jmps  seg:X167Ret103,sof:X167Ret103 @ activate function in segment 103
	jmps  seg:X167Ret104,sof:X167Ret104 @ activate function in segment 104
	jmps  seg:X167Ret105,sof:X167Ret105 @ activate function in segment 105
	jmps  seg:X167Ret106,sof:X167Ret106 @ activate function in segment 106
	jmps  seg:X167Ret107,sof:X167Ret107 @ activate function in segment 107
	jmps  seg:X167Ret108,sof:X167Ret108 @ activate function in segment 108
	jmps  seg:X167Ret109,sof:X167Ret109 @ activate function in segment 109

	jmps  seg:X167Ret110,sof:X167Ret110 @ activate function in segment 110
	jmps  seg:X167Ret111,sof:X167Ret111 @ activate function in segment 111
	jmps  seg:X167Ret112,sof:X167Ret112 @ activate function in segment 112
	jmps  seg:X167Ret113,sof:X167Ret113 @ activate function in segment 113
	jmps  seg:X167Ret114,sof:X167Ret114 @ activate function in segment 114
	jmps  seg:X167Ret115,sof:X167Ret115 @ activate function in segment 115
	jmps  seg:X167Ret116,sof:X167Ret116 @ activate function in segment 116
	jmps  seg:X167Ret117,sof:X167Ret117 @ activate function in segment 117
	jmps  seg:X167Ret118,sof:X167Ret118 @ activate function in segment 118
	jmps  seg:X167Ret119,sof:X167Ret119 @ activate function in segment 119

	jmps  seg:X167Ret120,sof:X167Ret120 @ activate function in segment 120
	jmps  seg:X167Ret121,sof:X167Ret121 @ activate function in segment 121
	jmps  seg:X167Ret122,sof:X167Ret122 @ activate function in segment 122
	jmps  seg:X167Ret123,sof:X167Ret123 @ activate function in segment 123
	jmps  seg:X167Ret124,sof:X167Ret124 @ activate function in segment 124
	jmps  seg:X167Ret125,sof:X167Ret125 @ activate function in segment 125
	jmps  seg:X167Ret126,sof:X167Ret126 @ activate function in segment 126
	jmps  seg:X167Ret127,sof:X167Ret127 @ activate function in segment 127
	jmps  seg:X167Ret128,sof:X167Ret128 @ activate function in segment 128
	jmps  seg:X167Ret129,sof:X167Ret129 @ activate function in segment 129

	jmps  seg:X167Ret130,sof:X167Ret130 @ activate function in segment 130
	jmps  seg:X167Ret131,sof:X167Ret131 @ activate function in segment 131
	jmps  seg:X167Ret132,sof:X167Ret132 @ activate function in segment 132
	jmps  seg:X167Ret133,sof:X167Ret133 @ activate function in segment 133
	jmps  seg:X167Ret134,sof:X167Ret134 @ activate function in segment 134
	jmps  seg:X167Ret135,sof:X167Ret135 @ activate function in segment 135
	jmps  seg:X167Ret136,sof:X167Ret136 @ activate function in segment 136
	jmps  seg:X167Ret137,sof:X167Ret137 @ activate function in segment 137
	jmps  seg:X167Ret138,sof:X167Ret138 @ activate function in segment 138
	jmps  seg:X167Ret139,sof:X167Ret139 @ activate function in segment 139

	jmps  seg:X167Ret140,sof:X167Ret140 @ activate function in segment 140
	jmps  seg:X167Ret141,sof:X167Ret141 @ activate function in segment 141
	jmps  seg:X167Ret142,sof:X167Ret142 @ activate function in segment 142
	jmps  seg:X167Ret143,sof:X167Ret143 @ activate function in segment 143
	jmps  seg:X167Ret144,sof:X167Ret144 @ activate function in segment 144
	jmps  seg:X167Ret145,sof:X167Ret145 @ activate function in segment 145
	jmps  seg:X167Ret146,sof:X167Ret146 @ activate function in segment 146
	jmps  seg:X167Ret147,sof:X167Ret147 @ activate function in segment 147
	jmps  seg:X167Ret148,sof:X167Ret148 @ activate function in segment 148
	jmps  seg:X167Ret149,sof:X167Ret149 @ activate function in segment 149

	jmps  seg:X167Ret150,sof:X167Ret150 @ activate function in segment 150
	jmps  seg:X167Ret151,sof:X167Ret151 @ activate function in segment 151
	jmps  seg:X167Ret152,sof:X167Ret152 @ activate function in segment 152
	jmps  seg:X167Ret153,sof:X167Ret153 @ activate function in segment 153
	jmps  seg:X167Ret154,sof:X167Ret154 @ activate function in segment 154
	jmps  seg:X167Ret155,sof:X167Ret155 @ activate function in segment 155
	jmps  seg:X167Ret156,sof:X167Ret156 @ activate function in segment 156
	jmps  seg:X167Ret157,sof:X167Ret157 @ activate function in segment 157
	jmps  seg:X167Ret158,sof:X167Ret158 @ activate function in segment 158
	jmps  seg:X167Ret159,sof:X167Ret159 @ activate function in segment 159

	jmps  seg:X167Ret160,sof:X167Ret160 @ activate function in segment 160
	jmps  seg:X167Ret161,sof:X167Ret161 @ activate function in segment 161
	jmps  seg:X167Ret162,sof:X167Ret162 @ activate function in segment 162
	jmps  seg:X167Ret163,sof:X167Ret163 @ activate function in segment 163
	jmps  seg:X167Ret164,sof:X167Ret164 @ activate function in segment 164
	jmps  seg:X167Ret165,sof:X167Ret165 @ activate function in segment 165
	jmps  seg:X167Ret166,sof:X167Ret166 @ activate function in segment 166
	jmps  seg:X167Ret167,sof:X167Ret167 @ activate function in segment 167
	jmps  seg:X167Ret168,sof:X167Ret168 @ activate function in segment 168
	jmps  seg:X167Ret169,sof:X167Ret169 @ activate function in segment 169

	jmps  seg:X167Ret170,sof:X167Ret170 @ activate function in segment 170
	jmps  seg:X167Ret171,sof:X167Ret171 @ activate function in segment 171
	jmps  seg:X167Ret172,sof:X167Ret172 @ activate function in segment 172
	jmps  seg:X167Ret173,sof:X167Ret173 @ activate function in segment 173
	jmps  seg:X167Ret174,sof:X167Ret174 @ activate function in segment 174
	jmps  seg:X167Ret175,sof:X167Ret175 @ activate function in segment 175
	jmps  seg:X167Ret176,sof:X167Ret176 @ activate function in segment 176
	jmps  seg:X167Ret177,sof:X167Ret177 @ activate function in segment 177
	jmps  seg:X167Ret178,sof:X167Ret178 @ activate function in segment 178
	jmps  seg:X167Ret179,sof:X167Ret179 @ activate function in segment 179

	jmps  seg:X167Ret180,sof:X167Ret180 @ activate function in segment 180
	jmps  seg:X167Ret181,sof:X167Ret181 @ activate function in segment 181
	jmps  seg:X167Ret182,sof:X167Ret182 @ activate function in segment 182
	jmps  seg:X167Ret183,sof:X167Ret183 @ activate function in segment 183
	jmps  seg:X167Ret184,sof:X167Ret184 @ activate function in segment 184
	jmps  seg:X167Ret185,sof:X167Ret185 @ activate function in segment 185
	jmps  seg:X167Ret186,sof:X167Ret186 @ activate function in segment 186
	jmps  seg:X167Ret187,sof:X167Ret187 @ activate function in segment 187
	jmps  seg:X167Ret188,sof:X167Ret188 @ activate function in segment 188
	jmps  seg:X167Ret189,sof:X167Ret189 @ activate function in segment 189

	jmps  seg:X167Ret190,sof:X167Ret190 @ activate function in segment 190
	jmps  seg:X167Ret191,sof:X167Ret191 @ activate function in segment 191
	jmps  seg:X167Ret192,sof:X167Ret192 @ activate function in segment 192
	jmps  seg:X167Ret193,sof:X167Ret193 @ activate function in segment 193
	jmps  seg:X167Ret194,sof:X167Ret194 @ activate function in segment 194
	jmps  seg:X167Ret195,sof:X167Ret195 @ activate function in segment 195
	jmps  seg:X167Ret196,sof:X167Ret196 @ activate function in segment 196
	jmps  seg:X167Ret197,sof:X167Ret197 @ activate function in segment 197
	jmps  seg:X167Ret198,sof:X167Ret198 @ activate function in segment 198
	jmps  seg:X167Ret199,sof:X167Ret199 @ activate function in segment 199

	jmps  seg:X167Ret200,sof:X167Ret200 @ activate function in segment 200
	jmps  seg:X167Ret201,sof:X167Ret201 @ activate function in segment 201
	jmps  seg:X167Ret202,sof:X167Ret202 @ activate function in segment 202
	jmps  seg:X167Ret203,sof:X167Ret203 @ activate function in segment 203
	jmps  seg:X167Ret204,sof:X167Ret204 @ activate function in segment 204
	jmps  seg:X167Ret205,sof:X167Ret205 @ activate function in segment 205
	jmps  seg:X167Ret206,sof:X167Ret206 @ activate function in segment 206
	jmps  seg:X167Ret207,sof:X167Ret207 @ activate function in segment 207
	jmps  seg:X167Ret208,sof:X167Ret208 @ activate function in segment 208
	jmps  seg:X167Ret209,sof:X167Ret209 @ activate function in segment 209

	jmps  seg:X167Ret210,sof:X167Ret210 @ activate function in segment 210
	jmps  seg:X167Ret211,sof:X167Ret211 @ activate function in segment 211
	jmps  seg:X167Ret212,sof:X167Ret212 @ activate function in segment 212
	jmps  seg:X167Ret213,sof:X167Ret213 @ activate function in segment 213
	jmps  seg:X167Ret214,sof:X167Ret214 @ activate function in segment 214
	jmps  seg:X167Ret215,sof:X167Ret215 @ activate function in segment 215
	jmps  seg:X167Ret216,sof:X167Ret216 @ activate function in segment 216
	jmps  seg:X167Ret217,sof:X167Ret217 @ activate function in segment 217
	jmps  seg:X167Ret218,sof:X167Ret218 @ activate function in segment 218
	jmps  seg:X167Ret219,sof:X167Ret219 @ activate function in segment 219

	jmps  seg:X167Ret220,sof:X167Ret220 @ activate function in segment 220
	jmps  seg:X167Ret221,sof:X167Ret221 @ activate function in segment 221
	jmps  seg:X167Ret222,sof:X167Ret222 @ activate function in segment 222
	jmps  seg:X167Ret223,sof:X167Ret223 @ activate function in segment 223
	jmps  seg:X167Ret224,sof:X167Ret224 @ activate function in segment 224
	jmps  seg:X167Ret225,sof:X167Ret225 @ activate function in segment 225
	jmps  seg:X167Ret226,sof:X167Ret226 @ activate function in segment 226
	jmps  seg:X167Ret227,sof:X167Ret227 @ activate function in segment 227
	jmps  seg:X167Ret228,sof:X167Ret228 @ activate function in segment 228
	jmps  seg:X167Ret229,sof:X167Ret229 @ activate function in segment 229

	jmps  seg:X167Ret230,sof:X167Ret230 @ activate function in segment 230
	jmps  seg:X167Ret231,sof:X167Ret231 @ activate function in segment 231
	jmps  seg:X167Ret232,sof:X167Ret232 @ activate function in segment 232
	jmps  seg:X167Ret233,sof:X167Ret233 @ activate function in segment 233
	jmps  seg:X167Ret234,sof:X167Ret234 @ activate function in segment 234
	jmps  seg:X167Ret235,sof:X167Ret235 @ activate function in segment 235
	jmps  seg:X167Ret236,sof:X167Ret236 @ activate function in segment 236
	jmps  seg:X167Ret237,sof:X167Ret237 @ activate function in segment 237
	jmps  seg:X167Ret238,sof:X167Ret238 @ activate function in segment 238
	jmps  seg:X167Ret239,sof:X167Ret239 @ activate function in segment 239

	jmps  seg:X167Ret240,sof:X167Ret240 @ activate function in segment 240
	jmps  seg:X167Ret241,sof:X167Ret241 @ activate function in segment 241
	jmps  seg:X167Ret242,sof:X167Ret242 @ activate function in segment 242
	jmps  seg:X167Ret243,sof:X167Ret243 @ activate function in segment 243
	jmps  seg:X167Ret244,sof:X167Ret244 @ activate function in segment 244
	jmps  seg:X167Ret245,sof:X167Ret245 @ activate function in segment 245
	jmps  seg:X167Ret246,sof:X167Ret246 @ activate function in segment 246
	jmps  seg:X167Ret247,sof:X167Ret247 @ activate function in segment 247
	jmps  seg:X167Ret248,sof:X167Ret248 @ activate function in segment 248
	jmps  seg:X167Ret249,sof:X167Ret249 @ activate function in segment 249

	jmps  seg:X167Ret250,sof:X167Ret250 @ activate function in segment 250
	jmps  seg:X167Ret251,sof:X167Ret251 @ activate function in segment 251
	jmps  seg:X167Ret252,sof:X167Ret252 @ activate function in segment 252
	jmps  seg:X167Ret253,sof:X167Ret253 @ activate function in segment 253
	jmps  seg:X167Ret254,sof:X167Ret254 @ activate function in segment 254
	jmps  seg:X167Ret255,sof:X167Ret255 @ activate function in segment 255


X167Ret:		  	@ return from function
	mov   r9,[r0+#2]	@ sof:ret
	mov   r8,[r0]
	shl   r8,#2		@ seg:ret *= 4
	add   r8,#rtable	@ + jump table offset
	jmpi  cc_uc,[r8]	@ activate return handler
rtable: jmps  seg:X167Ret0,sof:X167Ret0+4  @ return to caller in segmant 0
	jmps  seg:X167Ret1,sof:X167Ret1+4  @ return to caller in segment 1
	jmps  seg:X167Ret2,sof:X167Ret2+4  @ return to caller in segment 2
	jmps  seg:X167Ret3,sof:X167Ret3+4  @ return to caller in segment 3
	jmps  seg:X167Ret4,sof:X167Ret4+4  @ return to caller in segment 4
	jmps  seg:X167Ret5,sof:X167Ret5+4  @ return to caller in segment 5
	jmps  seg:X167Ret6,sof:X167Ret6+4  @ return to caller in segment 6
	jmps  seg:X167Ret7,sof:X167Ret7+4  @ return to caller in segment 7
	jmps  seg:X167Ret8,sof:X167Ret8+4  @ return to caller in segment 8
	jmps  seg:X167Ret9,sof:X167Ret9+4  @ return to caller in segment 9

	jmps  seg:X167Ret10,sof:X167Ret10+4  @ return to caller in segment 10
	jmps  seg:X167Ret11,sof:X167Ret11+4  @ return to caller in segment 11
	jmps  seg:X167Ret12,sof:X167Ret12+4  @ return to caller in segment 12
	jmps  seg:X167Ret13,sof:X167Ret13+4  @ return to caller in segment 13
	jmps  seg:X167Ret14,sof:X167Ret14+4  @ return to caller in segment 14
	jmps  seg:X167Ret15,sof:X167Ret15+4  @ return to caller in segment 15
	jmps  seg:X167Ret16,sof:X167Ret16+4  @ return to caller in segment 16
	jmps  seg:X167Ret17,sof:X167Ret17+4  @ return to caller in segment 17
	jmps  seg:X167Ret18,sof:X167Ret18+4  @ return to caller in segment 18
	jmps  seg:X167Ret19,sof:X167Ret19+4  @ return to caller in segment 19

	jmps  seg:X167Ret20,sof:X167Ret20+4  @ return to caller in segment 20
	jmps  seg:X167Ret21,sof:X167Ret21+4  @ return to caller in segment 21
	jmps  seg:X167Ret22,sof:X167Ret22+4  @ return to caller in segment 22
	jmps  seg:X167Ret23,sof:X167Ret23+4  @ return to caller in segment 23
	jmps  seg:X167Ret24,sof:X167Ret24+4  @ return to caller in segment 24
	jmps  seg:X167Ret25,sof:X167Ret25+4  @ return to caller in segment 25
	jmps  seg:X167Ret26,sof:X167Ret26+4  @ return to caller in segment 26
	jmps  seg:X167Ret27,sof:X167Ret27+4  @ return to caller in segment 27
	jmps  seg:X167Ret28,sof:X167Ret28+4  @ return to caller in segment 28
	jmps  seg:X167Ret29,sof:X167Ret29+4  @ return to caller in segment 29

	jmps  seg:X167Ret30,sof:X167Ret30+4  @ return to caller in segment 30
	jmps  seg:X167Ret31,sof:X167Ret31+4  @ return to caller in segment 31
	jmps  seg:X167Ret32,sof:X167Ret32+4  @ return to caller in segment 32
	jmps  seg:X167Ret33,sof:X167Ret33+4  @ return to caller in segment 33
	jmps  seg:X167Ret34,sof:X167Ret34+4  @ return to caller in segment 34
	jmps  seg:X167Ret35,sof:X167Ret35+4  @ return to caller in segment 35
	jmps  seg:X167Ret36,sof:X167Ret36+4  @ return to caller in segment 36
	jmps  seg:X167Ret37,sof:X167Ret37+4  @ return to caller in segment 37
	jmps  seg:X167Ret38,sof:X167Ret38+4  @ return to caller in segment 38
	jmps  seg:X167Ret39,sof:X167Ret39+4  @ return to caller in segment 39

	jmps  seg:X167Ret40,sof:X167Ret40+4  @ return to caller in segment 40
	jmps  seg:X167Ret41,sof:X167Ret41+4  @ return to caller in segment 41
	jmps  seg:X167Ret42,sof:X167Ret42+4  @ return to caller in segment 42
	jmps  seg:X167Ret43,sof:X167Ret43+4  @ return to caller in segment 43
	jmps  seg:X167Ret44,sof:X167Ret44+4  @ return to caller in segment 44
	jmps  seg:X167Ret45,sof:X167Ret45+4  @ return to caller in segment 45
	jmps  seg:X167Ret46,sof:X167Ret46+4  @ return to caller in segment 46
	jmps  seg:X167Ret47,sof:X167Ret47+4  @ return to caller in segment 47
	jmps  seg:X167Ret48,sof:X167Ret48+4  @ return to caller in segment 48
	jmps  seg:X167Ret49,sof:X167Ret49+4  @ return to caller in segment 49

	jmps  seg:X167Ret50,sof:X167Ret50+4  @ return to caller in segment 50
	jmps  seg:X167Ret51,sof:X167Ret51+4  @ return to caller in segment 51
	jmps  seg:X167Ret52,sof:X167Ret52+4  @ return to caller in segment 52
	jmps  seg:X167Ret53,sof:X167Ret53+4  @ return to caller in segment 53
	jmps  seg:X167Ret54,sof:X167Ret54+4  @ return to caller in segment 54
	jmps  seg:X167Ret55,sof:X167Ret55+4  @ return to caller in segment 55
	jmps  seg:X167Ret56,sof:X167Ret56+4  @ return to caller in segment 56
	jmps  seg:X167Ret57,sof:X167Ret57+4  @ return to caller in segment 57
	jmps  seg:X167Ret58,sof:X167Ret58+4  @ return to caller in segment 58
	jmps  seg:X167Ret59,sof:X167Ret59+4  @ return to caller in segment 59

	jmps  seg:X167Ret60,sof:X167Ret60+4  @ return to caller in segment 60
	jmps  seg:X167Ret61,sof:X167Ret61+4  @ return to caller in segment 61
	jmps  seg:X167Ret62,sof:X167Ret62+4  @ return to caller in segment 62
	jmps  seg:X167Ret63,sof:X167Ret63+4  @ return to caller in segment 63
	jmps  seg:X167Ret64,sof:X167Ret64+4  @ return to caller in segment 64
	jmps  seg:X167Ret65,sof:X167Ret65+4  @ return to caller in segment 65
	jmps  seg:X167Ret66,sof:X167Ret66+4  @ return to caller in segment 66
	jmps  seg:X167Ret67,sof:X167Ret67+4  @ return to caller in segment 67
	jmps  seg:X167Ret68,sof:X167Ret68+4  @ return to caller in segment 68
	jmps  seg:X167Ret69,sof:X167Ret69+4  @ return to caller in segment 69

	jmps  seg:X167Ret70,sof:X167Ret70+4  @ return to caller in segment 70
	jmps  seg:X167Ret71,sof:X167Ret71+4  @ return to caller in segment 71
	jmps  seg:X167Ret72,sof:X167Ret72+4  @ return to caller in segment 72
	jmps  seg:X167Ret73,sof:X167Ret73+4  @ return to caller in segment 73
	jmps  seg:X167Ret74,sof:X167Ret74+4  @ return to caller in segment 74
	jmps  seg:X167Ret75,sof:X167Ret75+4  @ return to caller in segment 75
	jmps  seg:X167Ret76,sof:X167Ret76+4  @ return to caller in segment 76
	jmps  seg:X167Ret77,sof:X167Ret77+4  @ return to caller in segment 77
	jmps  seg:X167Ret78,sof:X167Ret78+4  @ return to caller in segment 78
	jmps  seg:X167Ret79,sof:X167Ret79+4  @ return to caller in segment 79

	jmps  seg:X167Ret80,sof:X167Ret80+4  @ return to caller in segment 80
	jmps  seg:X167Ret81,sof:X167Ret81+4  @ return to caller in segment 81
	jmps  seg:X167Ret82,sof:X167Ret82+4  @ return to caller in segment 82
	jmps  seg:X167Ret83,sof:X167Ret83+4  @ return to caller in segment 83
	jmps  seg:X167Ret84,sof:X167Ret84+4  @ return to caller in segment 84
	jmps  seg:X167Ret85,sof:X167Ret85+4  @ return to caller in segment 85
	jmps  seg:X167Ret86,sof:X167Ret86+4  @ return to caller in segment 86
	jmps  seg:X167Ret87,sof:X167Ret87+4  @ return to caller in segment 87
	jmps  seg:X167Ret88,sof:X167Ret88+4  @ return to caller in segment 88
	jmps  seg:X167Ret89,sof:X167Ret89+4  @ return to caller in segment 89

	jmps  seg:X167Ret90,sof:X167Ret90+4  @ return to caller in segment 90
	jmps  seg:X167Ret91,sof:X167Ret91+4  @ return to caller in segment 91
	jmps  seg:X167Ret92,sof:X167Ret92+4  @ return to caller in segment 92
	jmps  seg:X167Ret93,sof:X167Ret93+4  @ return to caller in segment 93
	jmps  seg:X167Ret94,sof:X167Ret94+4  @ return to caller in segment 94
	jmps  seg:X167Ret95,sof:X167Ret95+4  @ return to caller in segment 95
	jmps  seg:X167Ret96,sof:X167Ret96+4  @ return to caller in segment 96
	jmps  seg:X167Ret97,sof:X167Ret97+4  @ return to caller in segment 97
	jmps  seg:X167Ret98,sof:X167Ret98+4  @ return to caller in segment 98
	jmps  seg:X167Ret99,sof:X167Ret99+4  @ return to caller in segment 99

	jmps  seg:X167Ret100,sof:X167Ret100+4  @ return to caller in segment 100
	jmps  seg:X167Ret101,sof:X167Ret101+4  @ return to caller in segment 101
	jmps  seg:X167Ret102,sof:X167Ret102+4  @ return to caller in segment 102
	jmps  seg:X167Ret103,sof:X167Ret103+4  @ return to caller in segment 103
	jmps  seg:X167Ret104,sof:X167Ret104+4  @ return to caller in segment 104
	jmps  seg:X167Ret105,sof:X167Ret105+4  @ return to caller in segment 105
	jmps  seg:X167Ret106,sof:X167Ret106+4  @ return to caller in segment 106
	jmps  seg:X167Ret107,sof:X167Ret107+4  @ return to caller in segment 107
	jmps  seg:X167Ret108,sof:X167Ret108+4  @ return to caller in segment 108
	jmps  seg:X167Ret109,sof:X167Ret109+4  @ return to caller in segment 109

	jmps  seg:X167Ret110,sof:X167Ret110+4  @ return to caller in segment 110
	jmps  seg:X167Ret111,sof:X167Ret111+4  @ return to caller in segment 111
	jmps  seg:X167Ret112,sof:X167Ret112+4  @ return to caller in segment 112
	jmps  seg:X167Ret113,sof:X167Ret113+4  @ return to caller in segment 113
	jmps  seg:X167Ret114,sof:X167Ret114+4  @ return to caller in segment 114
	jmps  seg:X167Ret115,sof:X167Ret115+4  @ return to caller in segment 115
	jmps  seg:X167Ret116,sof:X167Ret116+4  @ return to caller in segment 116
	jmps  seg:X167Ret117,sof:X167Ret117+4  @ return to caller in segment 117
	jmps  seg:X167Ret118,sof:X167Ret118+4  @ return to caller in segment 118
	jmps  seg:X167Ret119,sof:X167Ret119+4  @ return to caller in segment 119

	jmps  seg:X167Ret120,sof:X167Ret120+4  @ return to caller in segment 120
	jmps  seg:X167Ret121,sof:X167Ret121+4  @ return to caller in segment 121
	jmps  seg:X167Ret122,sof:X167Ret122+4  @ return to caller in segment 122
	jmps  seg:X167Ret123,sof:X167Ret123+4  @ return to caller in segment 123
	jmps  seg:X167Ret124,sof:X167Ret124+4  @ return to caller in segment 124
	jmps  seg:X167Ret125,sof:X167Ret125+4  @ return to caller in segment 125
	jmps  seg:X167Ret126,sof:X167Ret126+4  @ return to caller in segment 126
	jmps  seg:X167Ret127,sof:X167Ret127+4  @ return to caller in segment 127
	jmps  seg:X167Ret128,sof:X167Ret128+4  @ return to caller in segment 128
	jmps  seg:X167Ret129,sof:X167Ret129+4  @ return to caller in segment 129

	jmps  seg:X167Ret130,sof:X167Ret130+4  @ return to caller in segment 130
	jmps  seg:X167Ret131,sof:X167Ret131+4  @ return to caller in segment 131
	jmps  seg:X167Ret132,sof:X167Ret132+4  @ return to caller in segment 132
	jmps  seg:X167Ret133,sof:X167Ret133+4  @ return to caller in segment 133
	jmps  seg:X167Ret134,sof:X167Ret134+4  @ return to caller in segment 134
	jmps  seg:X167Ret135,sof:X167Ret135+4  @ return to caller in segment 135
	jmps  seg:X167Ret136,sof:X167Ret136+4  @ return to caller in segment 136
	jmps  seg:X167Ret137,sof:X167Ret137+4  @ return to caller in segment 137
	jmps  seg:X167Ret138,sof:X167Ret138+4  @ return to caller in segment 138
	jmps  seg:X167Ret139,sof:X167Ret139+4  @ return to caller in segment 139

	jmps  seg:X167Ret140,sof:X167Ret140+4  @ return to caller in segment 140
	jmps  seg:X167Ret141,sof:X167Ret141+4  @ return to caller in segment 141
	jmps  seg:X167Ret142,sof:X167Ret142+4  @ return to caller in segment 142
	jmps  seg:X167Ret143,sof:X167Ret143+4  @ return to caller in segment 143
	jmps  seg:X167Ret144,sof:X167Ret144+4  @ return to caller in segment 144
	jmps  seg:X167Ret145,sof:X167Ret145+4  @ return to caller in segment 145
	jmps  seg:X167Ret146,sof:X167Ret146+4  @ return to caller in segment 146
	jmps  seg:X167Ret147,sof:X167Ret147+4  @ return to caller in segment 147
	jmps  seg:X167Ret148,sof:X167Ret148+4  @ return to caller in segment 148
	jmps  seg:X167Ret149,sof:X167Ret149+4  @ return to caller in segment 149

	jmps  seg:X167Ret150,sof:X167Ret150+4  @ return to caller in segment 150
	jmps  seg:X167Ret151,sof:X167Ret151+4  @ return to caller in segment 151
	jmps  seg:X167Ret152,sof:X167Ret152+4  @ return to caller in segment 152
	jmps  seg:X167Ret153,sof:X167Ret153+4  @ return to caller in segment 153
	jmps  seg:X167Ret154,sof:X167Ret154+4  @ return to caller in segment 154
	jmps  seg:X167Ret155,sof:X167Ret155+4  @ return to caller in segment 155
	jmps  seg:X167Ret156,sof:X167Ret156+4  @ return to caller in segment 156
	jmps  seg:X167Ret157,sof:X167Ret157+4  @ return to caller in segment 157
	jmps  seg:X167Ret158,sof:X167Ret158+4  @ return to caller in segment 158
	jmps  seg:X167Ret159,sof:X167Ret159+4  @ return to caller in segment 159

	jmps  seg:X167Ret160,sof:X167Ret160+4  @ return to caller in segment 160
	jmps  seg:X167Ret161,sof:X167Ret161+4  @ return to caller in segment 161
	jmps  seg:X167Ret162,sof:X167Ret162+4  @ return to caller in segment 162
	jmps  seg:X167Ret163,sof:X167Ret163+4  @ return to caller in segment 163
	jmps  seg:X167Ret164,sof:X167Ret164+4  @ return to caller in segment 164
	jmps  seg:X167Ret165,sof:X167Ret165+4  @ return to caller in segment 165
	jmps  seg:X167Ret166,sof:X167Ret166+4  @ return to caller in segment 166
	jmps  seg:X167Ret167,sof:X167Ret167+4  @ return to caller in segment 167
	jmps  seg:X167Ret168,sof:X167Ret168+4  @ return to caller in segment 168
	jmps  seg:X167Ret169,sof:X167Ret169+4  @ return to caller in segment 169

	jmps  seg:X167Ret170,sof:X167Ret170+4  @ return to caller in segment 170
	jmps  seg:X167Ret171,sof:X167Ret171+4  @ return to caller in segment 171
	jmps  seg:X167Ret172,sof:X167Ret172+4  @ return to caller in segment 172
	jmps  seg:X167Ret173,sof:X167Ret173+4  @ return to caller in segment 173
	jmps  seg:X167Ret174,sof:X167Ret174+4  @ return to caller in segment 174
	jmps  seg:X167Ret175,sof:X167Ret175+4  @ return to caller in segment 175
	jmps  seg:X167Ret176,sof:X167Ret176+4  @ return to caller in segment 176
	jmps  seg:X167Ret177,sof:X167Ret177+4  @ return to caller in segment 177
	jmps  seg:X167Ret178,sof:X167Ret178+4  @ return to caller in segment 178
	jmps  seg:X167Ret179,sof:X167Ret179+4  @ return to caller in segment 179

	jmps  seg:X167Ret180,sof:X167Ret180+4  @ return to caller in segment 180
	jmps  seg:X167Ret181,sof:X167Ret181+4  @ return to caller in segment 181
	jmps  seg:X167Ret182,sof:X167Ret182+4  @ return to caller in segment 182
	jmps  seg:X167Ret183,sof:X167Ret183+4  @ return to caller in segment 183
	jmps  seg:X167Ret184,sof:X167Ret184+4  @ return to caller in segment 184
	jmps  seg:X167Ret185,sof:X167Ret185+4  @ return to caller in segment 185
	jmps  seg:X167Ret186,sof:X167Ret186+4  @ return to caller in segment 186
	jmps  seg:X167Ret187,sof:X167Ret187+4  @ return to caller in segment 187
	jmps  seg:X167Ret188,sof:X167Ret188+4  @ return to caller in segment 188
	jmps  seg:X167Ret189,sof:X167Ret189+4  @ return to caller in segment 189

	jmps  seg:X167Ret190,sof:X167Ret190+4  @ return to caller in segment 190
	jmps  seg:X167Ret191,sof:X167Ret191+4  @ return to caller in segment 191
	jmps  seg:X167Ret192,sof:X167Ret192+4  @ return to caller in segment 192
	jmps  seg:X167Ret193,sof:X167Ret193+4  @ return to caller in segment 193
	jmps  seg:X167Ret194,sof:X167Ret194+4  @ return to caller in segment 194
	jmps  seg:X167Ret195,sof:X167Ret195+4  @ return to caller in segment 195
	jmps  seg:X167Ret196,sof:X167Ret196+4  @ return to caller in segment 196
	jmps  seg:X167Ret197,sof:X167Ret197+4  @ return to caller in segment 197
	jmps  seg:X167Ret198,sof:X167Ret198+4  @ return to caller in segment 198
	jmps  seg:X167Ret199,sof:X167Ret199+4  @ return to caller in segment 199

	jmps  seg:X167Ret200,sof:X167Ret200+4  @ return to caller in segment 200
	jmps  seg:X167Ret201,sof:X167Ret201+4  @ return to caller in segment 201
	jmps  seg:X167Ret202,sof:X167Ret202+4  @ return to caller in segment 202
	jmps  seg:X167Ret203,sof:X167Ret203+4  @ return to caller in segment 203
	jmps  seg:X167Ret204,sof:X167Ret204+4  @ return to caller in segment 204
	jmps  seg:X167Ret205,sof:X167Ret205+4  @ return to caller in segment 205
	jmps  seg:X167Ret206,sof:X167Ret206+4  @ return to caller in segment 206
	jmps  seg:X167Ret207,sof:X167Ret207+4  @ return to caller in segment 207
	jmps  seg:X167Ret208,sof:X167Ret208+4  @ return to caller in segment 208
	jmps  seg:X167Ret209,sof:X167Ret209+4  @ return to caller in segment 209

	jmps  seg:X167Ret210,sof:X167Ret210+4  @ return to caller in segment 210
	jmps  seg:X167Ret211,sof:X167Ret211+4  @ return to caller in segment 211
	jmps  seg:X167Ret212,sof:X167Ret212+4  @ return to caller in segment 212
	jmps  seg:X167Ret213,sof:X167Ret213+4  @ return to caller in segment 213
	jmps  seg:X167Ret214,sof:X167Ret214+4  @ return to caller in segment 214
	jmps  seg:X167Ret215,sof:X167Ret215+4  @ return to caller in segment 215
	jmps  seg:X167Ret216,sof:X167Ret216+4  @ return to caller in segment 216
	jmps  seg:X167Ret217,sof:X167Ret217+4  @ return to caller in segment 217
	jmps  seg:X167Ret218,sof:X167Ret218+4  @ return to caller in segment 218
	jmps  seg:X167Ret219,sof:X167Ret219+4  @ return to caller in segment 219

	jmps  seg:X167Ret220,sof:X167Ret220+4  @ return to caller in segment 220
	jmps  seg:X167Ret221,sof:X167Ret221+4  @ return to caller in segment 221
	jmps  seg:X167Ret222,sof:X167Ret222+4  @ return to caller in segment 222
	jmps  seg:X167Ret223,sof:X167Ret223+4  @ return to caller in segment 223
	jmps  seg:X167Ret224,sof:X167Ret224+4  @ return to caller in segment 224
	jmps  seg:X167Ret225,sof:X167Ret225+4  @ return to caller in segment 225
	jmps  seg:X167Ret226,sof:X167Ret226+4  @ return to caller in segment 226
	jmps  seg:X167Ret227,sof:X167Ret227+4  @ return to caller in segment 227
	jmps  seg:X167Ret228,sof:X167Ret228+4  @ return to caller in segment 228
	jmps  seg:X167Ret229,sof:X167Ret229+4  @ return to caller in segment 229

	jmps  seg:X167Ret230,sof:X167Ret230+4  @ return to caller in segment 230
	jmps  seg:X167Ret231,sof:X167Ret231+4  @ return to caller in segment 231
	jmps  seg:X167Ret232,sof:X167Ret232+4  @ return to caller in segment 232
	jmps  seg:X167Ret233,sof:X167Ret233+4  @ return to caller in segment 233
	jmps  seg:X167Ret234,sof:X167Ret234+4  @ return to caller in segment 234
	jmps  seg:X167Ret235,sof:X167Ret235+4  @ return to caller in segment 235
	jmps  seg:X167Ret236,sof:X167Ret236+4  @ return to caller in segment 236
	jmps  seg:X167Ret237,sof:X167Ret237+4  @ return to caller in segment 237
	jmps  seg:X167Ret238,sof:X167Ret238+4  @ return to caller in segment 238
	jmps  seg:X167Ret239,sof:X167Ret239+4  @ return to caller in segment 239

	jmps  seg:X167Ret240,sof:X167Ret240+4  @ return to caller in segment 240
	jmps  seg:X167Ret241,sof:X167Ret241+4  @ return to caller in segment 241
	jmps  seg:X167Ret242,sof:X167Ret242+4  @ return to caller in segment 242
	jmps  seg:X167Ret243,sof:X167Ret243+4  @ return to caller in segment 243
	jmps  seg:X167Ret244,sof:X167Ret244+4  @ return to caller in segment 244
	jmps  seg:X167Ret245,sof:X167Ret245+4  @ return to caller in segment 245
	jmps  seg:X167Ret246,sof:X167Ret246+4  @ return to caller in segment 246
	jmps  seg:X167Ret247,sof:X167Ret247+4  @ return to caller in segment 247
	jmps  seg:X167Ret248,sof:X167Ret248+4  @ return to caller in segment 248
	jmps  seg:X167Ret249,sof:X167Ret249+4  @ return to caller in segment 249

	jmps  seg:X167Ret250,sof:X167Ret250+4  @ return to caller in segment 250
	jmps  seg:X167Ret251,sof:X167Ret251+4  @ return to caller in segment 251
	jmps  seg:X167Ret252,sof:X167Ret252+4  @ return to caller in segment 252
	jmps  seg:X167Ret253,sof:X167Ret253+4  @ return to caller in segment 253
	jmps  seg:X167Ret254,sof:X167Ret254+4  @ return to caller in segment 254
	jmps  seg:X167Ret255,sof:X167Ret255+4  @ return to caller in segment 255


	/*
	** dummy call support for gdb166
	*/

	.globl XDummyRetSeg

XDummyRetSeg:			@ destination address in r8/r9
	sub   r0,#4		@ space on stack for return address
	mov   [-r0],r8		@ save r8
	mov   r8,#sof:0f	@ sof:ret
	mov   [r0 + #4],r8		
	mov   r8,#seg:0f	@ seg:ret
	mov   [r0 + #2],r8		
	mov   r8,[r0+]		@ restore r8
	jmp   cc_uc,X167Call	@ call func via handler
	@ stack cleanup not necessary (done by GDB)
0:	rets			@ return to dummy handler



	.globl	XGdesTrampFuncall	@ used by GDES to call functions
	.globl	XGdesTrampFuncall_Ret
XGdesTrampFuncall:			@ function to be called in
					@ r8 (segment) and r9 (offset)
	sub	r0,#4			@ space for return address
	mov	[-r0],r8		@ save r8
	mov	r8,#sof:0f
	mov	[r0 + #4],r8
	mov	r8,#seg:0f
	mov	[r0 + #2],r8		@ return address to stack
	mov	r8,[r0+]		@ restore r8
	jmps	seg:X167Call,sof:X167Call
0:	
XGdesTrampFuncall_Ret:
	trap	#2			@ might need to be modified, if
					@ a debugger other than GDB is
					@ used (should generate a debugger
					@ breakpoint.
	nop				@ necessary for GDB
